Description

Hello,

It would be great to allow HTTP Authentification in Foreman

(for instance to allow things like WebSSO with  LemonLDAP::NG).

Thx in advance.

Related issues:

Has duplicate Foreman - Feature #1369: Support Apache Basic Authentication fo... Closed 12/05/2011

Is duplicate of Foreman - Bug #907: Foreman behind apache with userauth. Duplicate 05/17/2011

Associated revisions

Revision 62756323 - 12/19/2011 09:11 AM - Romain Vrignaud

fixes #1300 Add support of HTTP Auth with REMOTE_USER env variable

History

#1 - 11/15/2011 09:01 AM - Romain Vrignaud

- Assignee set to Romain Vrignaud

#2 - 11/15/2011 11:18 AM - Romain Vrignaud

- File 0001-Fixes-1300-with-REMOTE_USER-support.patch added

First patch : to be tested and validated

#3 - 11/15/2011 11:47 AM - Ken Barber

I've tested this patch on 0.4 and it seems to work sufficiently okay. The edge cases aren't covered such as:

If the auth succeeds but the user doesn't exist, the error is not graceful.

It may be that someone wants the user to get created in the case of a user not existing in the INTERNAL_DATABASE.

Otherwise its a great start. Thanks Romain :-).

settings.yaml:

---

    :login: true

    :authorize_login_delegation: true

 Sample apache config:

&lt;VirtualHost *:80&gt;

    ServerName foreman1.vm

    ServerAdmin ken@bob.sh

    DocumentRoot /usr/share/foreman/public

    Railsautodetect on
&lt;Location /&gt;

    AuthType Basic

    AuthName "Restricted Files" 

    AuthUserFile /etc/httpd/auth.pwd

    Require Valid-User

    &lt;/Location&gt;

    &lt;/VirtualHost&gt;

#4 - 11/15/2011 12:00 PM - Romain Vrignaud

- File 0001-fixes-1300-with-REMOTE_USER-support.patch added

New patch to handle  case when user is not found.

#5 - 12/19/2011 08:37 AM - Romain Vrignaud

- File apache-auth.patch added

Update patch to support WUI settings.

#6 - 12/19/2011 08:44 AM - Romain Vrignaud

- File 0001-fixes-1300-Add-support-of-HTTP-Auth-with-REMOTE_USER.patch added

Patch in git patch mode

#7 - 12/19/2011 09:17 AM - Ohad Levy

- Category set to Authentication

- Target version set to 1.0

#8 - 12/19/2011 09:18 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 627563234b0b298b87118de2c944e78f4cd24d26.

Files

0001-Fixes-1300-with-REMOTE_USER-support.patch 1.37 KB 11/15/2011 Romain Vrignaud

0001-fixes-1300-with-REMOTE_USER-support.patch 1.41 KB 11/15/2011 Romain Vrignaud

apache-auth.patch 1.86 KB 12/19/2011 Romain Vrignaud

0001-fixes-1300-Add-support-of-HTTP-Auth-with-REMOTE_USER.patch2.27 KB 12/19/2011 Romain Vrignaud
